%define plugins 3d addhelper bench bicubic crashhandler cubeaddon extrawm fadedesktop firepaint gears group loginout maximumize mblur notification reflex scalefilter shelf showdesktop showmouse splash trailfocus wallpaper widget

Name: compiz-fusion-extras
Version: 0.7.6
Release: 1%{?dist}
Summary: Additional Compiz Fusion plugins for Compiz      

Group: User Interface/Desktops        
License: GPLv2+       
URL: http://compiz-fusion.org            
Source0: http://releases.compiz-fusion.org/0.6.0/compiz-fusion-plugins-extra-%{version}.tar.bz2   
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# libdrm is not available on these arches
ExcludeArch: s390 s390x ppc64

BuildRequires: compiz-fusion-devel >= %{version}
BuildRequires: compiz-bcop >= %{version}
BuildRequires: gettext-devel
BuildRequires: perl(XML::Parser)
BuildRequires: mesa-libGLU-devel
BuildRequires: libXrender-devel
BuildRequires: GConf2
BuildRequires: libjpeg-devel
BuildRequires: gawk
Requires: compiz-fusion >= %{version} 


%description
The Compiz Fusion Project brings 3D desktop visual effects that improve
usability of the X Window System and provide increased productivity
though plugins and themes contributed by the community giving a
rich desktop experience.

This package contains additional plugins from the Compiz Fusion Project

%package gnome
Summary: Compiz Fusion Extras gnome configuration
Group: User Interface/Desktops
Requires: %{name} = %{version}
Requires(pre): GConf2
Requires(post): GConf2
Requires(preun): GConf2

%description gnome
This package contains the GNOME configuration for
Compiz Fusion Extras


%prep
%setup -q -n compiz-fusion-plugins-extra-%{version}


%build
%configure --enable-schemas
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/compiz/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/compiz/*.a

%find_lang compiz-fusion-plugins-extra


%post gnome
export GCONF_CONFIG_SOURCE=`%{_bindir}/gconftool-2 --get-default-source`
for p in in %{plugins}; do
%{_bindir}/gconftool-2 --makefile-install-rule \
	%{_sysconfdir}/gconf/schemas/compiz-$p.schemas >& /dev/null || :
done

%pre gnome
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`%{_bindir}/gconftool-2 --get-default-source`
  for p in in %{plugins}; do
	%{_bindir}/gconftool-2 --makefile-uninstall-rule \
		%{_sysconfdir}/gconf/schemas/compiz-$p.schemas >& /dev/null || :
  done
fi

%preun gnome
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`%{_bindir}/gconftool-2 --get-default-source`
  for p in in %{plugins}; do
	%{_bindir}/gconftool-2 --makefile-uninstall-rule \
		%{_sysconfdir}/gconf/schemas/compiz-$p.schemas >& /dev/null || :
  done
fi


%clean
rm -rf $RPM_BUILD_ROOT


%files -f compiz-fusion-plugins-extra.lang
%defattr(-,root,root,-)
%doc COPYING AUTHORS
%{_libdir}/compiz/*.so
%{_datadir}/compiz/*.xml
%{_datadir}/compiz/reflection.png
%{_datadir}/compiz/*.png

%files gnome
%defattr(-,root,root,-)
%{_sysconfdir}/gconf/schemas/*.schemas

%changelog
* Fri Jun 06 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.7.6-1
- Update to 0.7.6

* Tue Mar 25 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.7.2-2
- Fix scriptlet failure

* Mon Mar 24 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.7.2-1
- Update to 0.7.2

* Sat Feb 09 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.6.0-3
- Rebuild for gcc-4.3

* Fri Jan 04 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.6.0-2
- Fix build with gcc43

* Mon Oct 22 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.6.0-1
- Update to 0.6.0

* Fri Oct 12 2007 Adel Gadllah <adel.gadllag@gmail.com> 0.5.2-9.6871d0
- Rebuild against new compiz-fusion to build missing plugins (RH #327441)

* Wed Oct 10 2007 Warren Togami <wtogami@redhat.com> 0.5.2-8.6871d0
- >= instead of = to allow compiz upgrade flexibility

* Sun Sep 23 2007 Adel Gadllah <adel.gadllag@gmail.com> 0.5.2-7.6871d0
- GConf schemas got renamed .. fix scripts to install them
- Fix changelog date

* Sat Sep 22 2007 Adel Gadllah <adel.gadllag@gmail.com> 0.5.2-6.6871d0
- Update to 0.6 branch (builds against current compiz)

* Sat Sep 15 2007 Adel Gadllah <adel.gadllag@gmail.com> 0.5.2-5
- Fix gconf schemas install (RH #53692)
- Some build fixes

* Fri Aug 24 2007 Adel Gadllah <adel.gadllag@gmail.com> 0.5.2-4
- Remove redundant buildrequires

* Fri Aug 24 2007 Adel Gadllah <adel.gadllag@gmail.com> 0.5.2-3
- BuildRequire gawk

* Wed Aug 22 2007 Adel Gadllah <adel.gadllag@gmail.com> 0.5.2-2
- Fix gconf schemas (un)installation

* Sat Aug 18 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.5.2-1
- Initial build


